%{!?ruby_sitelib:	%define ruby_sitelib	%(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")}
%define			rubyabi			1.8

Name:		mfiler3
Version:	2.1.3
Release:	2%{?dist}
Summary:	Two pane file manager under UNIX console

Group:		Applications/Editors
License:	GPL+
URL:		http://www.geocities.jp/daisuke530221jp/index3.html
Source0:	http://www.geocities.jp/daisuke530221jp/%{name}-%{version}.tgz
Source10:	mfiler3.sh
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	cmigemo-devel
BuildRequires:	gc-devel
BuildRequires:	libtar-devel
BuildRequires:	ncurses-devel
BuildRequires:	oniguruma-devel
BuildRequires:	zlib-devel

# ruby-devel requires ruby-libs but does not require ruby
BuildRequires:	ruby
BuildRequires:	ruby-devel
BuildRequires:	ruby(abi) = %{rubyabi}

Requires:	ruby
Requires:	ruby(abi) = %{rubyabi}

# Requires:	lftp
%description
Minnu's Filer3 is a two pane file manager under UNIX console.

%package	mdnd
Summary:	Drag and drop support for %{name}
Group:		Applications/Editors
Requires:	%{name} = %{version}-%{release}

Requires:	ruby(gtk2)

%description	mdnd
This package supports drag and drop usage for %{name}.


%prep
%setup -q -n %{name}
%{__sed} -i.strip -e 's| -s -m| -m|' Makefile.in
%{__sed} -i.debuginfo -e 's|-g -w||' configure

# Remove unneeded internal directories to make it sure that
# we are using external libraries
%{__rm} -rf \
	migemo-dic/ \
	src/onig*/ \

# Remove pre-compiled binary...
%{__rm} -f \
	mattr \
	mkeycode \
	mfiler3 \
	mtar
%{__rm} -f *.o

%build
%configure \
	--sysconfdir=%{_sysconfdir}/%{name} \
	--bindir=%{_libexecdir}/%{name} \
	--with-system-migemodir=%{_datadir}/cmigemo
%{__make} %{?_smp_mflags} -k \
	CC="%{__cc} $RPM_OPT_FLAGS"

%install
%{__rm} -rf $RPM_BUILD_ROOT

# Use %%makeinstall
%makeinstall \
	sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir}/%{name} \
	bindir=$RPM_BUILD_ROOT%{_libexecdir}/%{name} \
	INSTALL="%{__install} -c -p"

# Install wrapper script
%{__mkdir_p} $RPM_BUILD_ROOT%{_bindir}
%{__install} -cpm 0755 %SOURCE10 $RPM_BUILD_ROOT%{_bindir}/%{name}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc	doc/

%config(noreplace)	%{_sysconfdir}/%{name}/
%{_bindir}/%{name}
%{_libexecdir}/%{name}/
%exclude	%{_libexecdir}/%{name}/mdnd

%files	mdnd
%defattr(-,root,root,-)
%{_libexecdir}/%{name}/mdnd


%changelog
* Tue Feb 24 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.1.3-2
- F-11: Mass rebuild

* Sun Nov  9 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.1.3-1
- 2.1.3

* Sun Nov  2 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.1.2-1
- 2.1.2

* Sat Oct 18 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.1.1-1
- 2.1.1

* Wed Oct 15 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.1.0-2
- New tarball

* Wed Oct 15 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.1.0-1
- 2.1.0
- All patches in the previous rpm are applied by the upstream

* Sat Sep 27 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.8a-3
- Better system-wide cmigemo patch

* Sat Sep 27 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.8a-2
- Fix sparc64 build error

* Fri Sep 26 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.8a-1
- 2.0.8a
- More better upgrade compat patch

* Mon Sep 14 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.7-2
- 2.0.7
- Workaround patch to deal with segv after upgrade

* Thu Aug 28 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.6-2
- 2.0.6

* Fri Aug  8 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.5-1
- 2.0.5

* Tue Aug  5 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.2-1
- 2.0.2

* Tue Jul 15 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.0-1
- 2.0.0

* Tue Jul  1 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.1.2-1
- 1.1.2

* Sat Jun 28 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.1.1-1
- 1.1.1

* Mon Jun 23 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0.2-1
- 1.0.2
- -Werror-implicit-function-declaration is added in the source tarball

* Sun Jun 22 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0.1-1
- 1.0.1

* Thu Jun 19 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0.0-1
- 1.0.0
- Add -Werror-implicit-function-declaration

* Tue Jun  3 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.2.1-1
- Initial packaging
- Make mfiler3 parallel installable with mfiler2

